Subject: [Sipping] Re: Comment: draft-ietf-sipping-sbc-funcs-03.txt
From: "Jani Hautakorpi (JO/LMF)" <[email-masked]>
To: Siddhartha Bhakta <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 01 Jun 2007 13:15:10 +0300
List-Id: "SIPPING Working Group \(applications of SIP\)" <sipping.ietf.org>

Hi Siddhartha,

Siddhartha Bhakta wrote:
> [1] This document mainly talks about the general
> practices of SBC and associated architectural issues.
> Is there any plan to propose solution(in this draft or
> in some other draft) for those architectural issues?

I personally hope that there would be solution drafts, which would be 
based on this draft, in the future.

> [2] Sec 3.1.1
> The Path, P-Asserted-Id, P-Preferred-Id etc. should
> also be specified in this section.

The draft has already gone through the working group last call and its 
current state is "Publication Requested", so we are not adding text to 
the draft anymore.

> [3] Sec 3.1.1
> "However, in deployments which use IP addresses
> instead of domain names in headers that cannot be
> removed (e.g.  From and To headers), the SBC may
> replace these IP addresses with its own IP address or
> domain name."
> 
> The TO and FROM header contains the identity of Callee
> and Calling party. (Ignore anonymous call for a
> moment). Is it justified to manipulate hostport part
> of TO & FROM?
> I think, it is justified with the explanation below. I
> just need others view on it.
> As TO and FROM are containing IP addresses, it can be
> assumed that hostport part of TO and FROM are
> insignificant to identify SIP users. Therefore,
> hostport part of TO and FROM can be modified with
> SBC's IP address or domain.
> 
> [4] This is an issue for any B2BUA
> If SBC needs to terminate any Dialog (due to session
> timer expiry etc.), SBC may generate BYE for that. But
> if that BYE is challenged then how shall SBC generate
> BYE with right credential?

To answer your questions [3] and [4]: The idea of the draft is just to 
describe the commonly provided functions of SBCs and not to specify any 
particular behavior. So, the draft does not specify what SBCs shall do 
in scenarios you described.

-- 
Jani

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP